'use strict'

const chalk = require('chalk')

/**
 * Error
 **/
const error = (message) => {
  console.log(chalk.red('------------------------------'))
  console.log(chalk.red(message))
  console.log(chalk.red('------------------------------'))
}

/**
 * Success
 **/
const success = (message) => {
  console.log(chalk.green('------------------------------'))
  console.log(chalk.green(message))
  console.log(chalk.green('------------------------------'))
}

/**
 * Log error response messages
 **/
const log = (res) => {
  let response = res

  if (typeof res !== 'object') {
    response = JSON.parse(res)
  }

  if (response.hasOwnProperty('errors')) {
    var message = [' ' + response.message
                ,  '\n'
                ,  ' Type: ' + response.errors[0].resource
                ,  '\n'
                ,  ' Message: ' + response.errors[0].message
              ].join('')

    error(message)
  }

  if (response.hasOwnProperty('id')) {
    var message = [' Your repository '
                ,  response.full_name
                ,  ' was successfully created.'
              ].join('')

    success(message)
  }

  if (response.hasOwnProperty('deleted')) {
    success(response.message)
  }
}

/**
 * Expose log
 **/
module.exports = log
